com.taosdata.jdbc.ws.tmq.entity

## Class AssignmentReq

- java.lang.Object
- - com.taosdata.jdbc.ws.entity.Payload
  - - com.taosdata.jdbc.ws.tmq.entity.AssignmentReq

    public class AssignmentReq
    extends Payload

### Constructor Summary

Constructors
Constructor and Description
`AssignmentReq()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getTopic()`
`void` `setTopic(String topic)`

### Methods inherited from class com.taosdata.jdbc.ws.entity.Payload

`getReqId, setReqId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AssignmentReq

    public AssignmentReq()

### Method Detail

#### getTopic

    public String getTopic()

#### setTopic

    public void setTopic(String topic)